{% extends 'base.html' %}

{% block current_page %}{{ gettext("Poll - ") }}{{ poll.name }}{% endblock %}

{% block content %}<header>
	<h1>{{ poll.name }}</h1>
</header>
<main>
	<p>
		{{ poll.description }}
	</p>
	<hr>
	<form method="post">
		{{ form.hidden_tag() }}
		<ul>
		{% for subfield in form.choice %}
			<li>
				{{ subfield }}
				{{ subfield.label }}
			</li>
		{% endfor %}
		</ul>
		<hr>
		<input type="submit" value="{{ gettext('Vote') }}">
	</form>
	<hr>
	<img
		src="{{ url_for('poll.view_image', id_=poll.id) }}"
		alt="{{ gettext('Chart') }}"
	>
	<a
		href="{{ url_for('poll.list_') }}"
	>{{ gettext("Return to listing") }}</a>
</main>{% endblock %}
